Bug 1309763 - ld chokes on gcc-generated Dwarf section
ld chokes on gcc-generated Dwarf section
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: binutils (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nick Clifton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-18 10:59 EST by Ulrich Drepper
Modified: 2016-12-20 13:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:49:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ulrich Drepper 2016-02-18 10:59:26 EST
Description of problem:
The program below, when compiled with gcc 5.3.1-2.fc23 causes ld to fail, but only with debug info generation enabled.

#include <cassert>
__attribute__ ((target ("default")))
int foo(void) {
  return 1;
}
__attribute__ ((target ("sse4.2")))
int foo(void) {
  return 2;
}
int main (void) {
  int (*p)(void) = &foo;
  assert ((*p)() == foo());
  return 0;
}



Version-Release number of selected component (if applicable):
binutils-2.25-15.fc23.x86_64

How reproducible:
always

Steps to Reproduce:
1.Compile with appropriate compiler with
g++ -o bug -O -g bug.cc
2.
3.

Actual results:
/usr/bin/ld: BFD version 2.25-15.fc23 internal error, aborting at elf64-x86-64.c line 3574 in elf_x86_64_relocate_section

/usr/bin/ld: Please report this bug.


Expected results:
binary produced

Additional info:
Compare with compilation when leaving out -g
Comment 1 Nick Clifton 2016-02-19 06:27:12 EST
Hi Uli,

Please try:

 binutils-2.25-16.fc23

This should fix the problem.

Cheers
  Nick
Comment 2 Ulrich Drepper 2016-02-19 08:09:30 EST
Yep, thanks Nick, it works.
Comment 3 Fedora End Of Life 2016-11-24 10:37:57 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 13:49:19 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.